GH-REPO-DELETE(1)

NAME
gh-repo-delete - Delete a repository

SYNOPSIS
gh repo delete [<repository>] [flags]

DESCRIPTION
Delete a GitHub repository.

With no argument, deletes the current repository. Otherwise, deletes the specified repository.

For safety, when no repository argument is provided, the --yes flag is ignored and you will be prompted for confirmation. To delete the current repository non-interactively, specify it explicitly (e.g., gh repo delete owner/repo --yes).

Deletion requires authorization with the delete_repo scope. To authorize, run gh auth refresh -s delete_repo

OPTIONS

--yes
    Confirm deletion without prompting

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-repo(1)